<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Greetings</title>
    <style>
      body {
        font-family: "Segoe UI", Tahoma, Geneva, Verdana, sans-serif;
        background: linear-gradient(135deg, #ff6b6b, #ffa500);
        margin: 0;
        padding: 0;
        height: 100vh;
        display: flex;
        justify-content: center;
        align-items: center;
      }

      .container {
        background-color: rgba(255, 255, 255, 0.9);
        padding: 40px;
        border-radius: 10px;
        box-shadow: 0 0 20px rgba(0, 0, 0, 0.3);
        text-align: center;
        max-width: 600px;
      }

      #greeting {
        font-size: 48px;
        font-weight: bold;
        color: #333;
        text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.3);
        margin-bottom: 20px;
      }

      #greeting span {
        display: inline-block;
        animation: bounce 1s infinite;
      }

      #info {
        font-size: 24px;
        color: #555;
        margin-bottom: 30px;
      }

      @keyframes bounce {
        0%,
        100% {
          transform: translateY(0);
        }
        50% {
          transform: translateY(-10px);
        }
      }
    </style>
  </head>
  <body>
    <div class="container">
      <div id="greeting"></div>
      <div id="info">
        <p>I'm Guhanathan S</p>
        <br />
        <p>Education: Coimbatore Institute of Technology</p>
        <p>Experience: Product Engineering Intern @Smartail</p>
        <br />
        <p>
          A passionate learner and tech enthusiast, currently exploring the
          world of product engineering.
        </p>
      </div>
    </div>

    <script>
      function greetUser() {
        const now = new Date();
        const hours = now.getHours();
        const days = [
          "Sunday",
          "Monday",
          "Tuesday",
          "Wednesday",
          "Thursday",
          "Friday",
          "Saturday",
        ];
        const day = days[now.getDay()];
        let greeting;

        if (hours >= 5 && hours < 12) {
          greeting = `Good Morning, <span>Sunshine</span>! Happy ${day}!`;
        } else if (hours >= 12 && hours < 18) {
          greeting = `Good Afternoon, <span>Energizer</span>! Happy ${day}!`;
        } else {
          greeting = `Good Evening, <span>Stargazer</span>! Happy ${day}!`;
        }

        const greetingElement = document.getElementById("greeting");
        greetingElement.innerHTML = greeting;
      }

      greetUser();
    </script>
  </body>
</html>
